Upstream information

CVE-2015-5297 at MITRE

Description

An integer overflow issue has been reported in the general_composite_rect() function in pixman prior to version 0.32.8. An attacker could exploit this issue to cause an application using pixman to crash or, potentially, execute arbitrary code.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 5.3
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1117000 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications pixman Not affected
SUSE CaaS Platform 4.5 pixman Not affected
SUSE Enterprise Storage 7 pixman Not affected
SUSE Linux Enterprise Desktop 11 SP4 pixman Not affected
SUSE Linux Enterprise Desktop 12 SP3 pixman Affected
SUSE Linux Enterprise Desktop 12 SP4 pixman Affected
SUSE Linux Enterprise Desktop 15 pixman Affected
SUSE Linux Enterprise Desktop 15 SP3 pixman Not affected
SUSE Linux Enterprise Desktop 15 SP4 pixman Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 pixman Affected
SUSE Linux Enterprise High Performance Computing 15 pixman Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS pixman Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS pixman Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS pixman Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 pixman Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 pixman Not affected
SUSE Linux Enterprise Micro 5.0 pixman Not affected
SUSE Linux Enterprise Micro 5.1 pixman Not affected
SUSE Linux Enterprise Micro 5.2 pixman Not affected
SUSE Linux Enterprise Module for Basesystem 15 pixman Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 pixman Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 pixman Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 pixman Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 pixman Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 pixman Not affected
SUSE Linux Enterprise Real Time 15 SP2 pixman Not affected
SUSE Linux Enterprise Server 11 SP1 pixman Not affected
SUSE Linux Enterprise Server 11 SP3 pixman Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS pixman Not affected
SUSE Linux Enterprise Server 11 SP4 pixman Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS pixman Not affected
SUSE Linux Enterprise Server 12 LTSS pixman Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS pixman Unsupported
SUSE Linux Enterprise Server 12 SP2 BCL pixman Affected
SUSE Linux Enterprise Server 12 SP2 LTSS pixman Unsupported
SUSE Linux Enterprise Server 12 SP3 pixman Affected
SUSE Linux Enterprise Server 12 SP3 BCL pixman Affected
SUSE Linux Enterprise Server 12 SP4 pixman Affected
SUSE Linux Enterprise Server 12 SP4 LTSS pixman Affected
SUSE Linux Enterprise Server 15 pixman Affected
SUSE Linux Enterprise Server 15 SP2 LTSS pixman Not affected
SUSE Linux Enterprise Server 15 SP3 pixman Not affected
SUSE Linux Enterprise Server 15 SP4 pixman Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 pixman Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 pixman Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 pixman Not affected
SUSE Linux Enterprise Server for SAP Applications 12 pixman Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 pixman Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 pixman Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 pixman Affected
SUSE Linux Enterprise Server for SAP Applications 15 pixman Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 pixman Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 pixman Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 pixman Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 pixman Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 pixman Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 pixman Affected
SUSE Linux Enterprise Storage 7.1 pixman Not affected
SUSE Manager Proxy 4.1 pixman Not affected
SUSE Manager Proxy 4.2 pixman Not affected
SUSE Manager Proxy 4.3 pixman Not affected
SUSE Manager Retail Branch Server 4.1 pixman Not affected
SUSE Manager Retail Branch Server 4.2 pixman Not affected
SUSE Manager Retail Branch Server 4.3 pixman Not affected
SUSE Manager Server 4.1 pixman Not affected
SUSE Manager Server 4.2 pixman Not affected
SUSE Manager Server 4.3 pixman Not affected
SUSE Package Hub 15 SP3 pixman Not affected